package timing;
import java.util.List;
import java.util.ArrayList;
import java.util.Random;

public class ArrayListContainsTimer extends Timer {

	List<Integer> list = new ArrayList<>();
	Integer i = 0;
	int size;
	Random random = new Random(0);
	
	public ArrayListContainsTimer(int size) {
		this.size = size;
		for (int i = 0; i < size; ++i) {
			list.add(i);
		}
	}
	
	@Override
	public void action() {
		list.contains(random.nextInt(2 * size));

	}
}
